com.smartgwt.client.types

## Enum ListStyleType

- java.lang.Object
- - java.lang.Enum<ListStyleType>
  - - com.smartgwt.client.types.ListStyleType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ListStyleType>

      public enum ListStyleType
      extends java.lang.Enum<ListStyleType>
      implements ValueEnum

  The style of list item marker for a list.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CIRCLE` An unfilled circle (◦)
    `CUSTOM_IMAGE` An image used in place of a marker.
    `DECIMAL` Numbers (1., 2., 3., etc.)
    `DISC` A filled, black dot (•)
    `LOWER_ALPHA` Lowercase letters (a., b., c., etc.)
    `LOWER_ROMAN` Lowercase Roman numerals (i., ii., iii., iv., etc.)
    `SQUARE` A filled, black square (■)
    `UPPER_ALPHA` Uppercase letters (A., B., C., etc.)
    `UPPER_ROMAN` Uppercase Roman numerals (I., II., III., IV., etc.)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ListStyleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ListStyleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISC

          public static final ListStyleType DISC

      A filled, black dot (•)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "disc".

    - #### CIRCLE

          public static final ListStyleType CIRCLE

      An unfilled circle (◦)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "circle".

    - #### SQUARE

          public static final ListStyleType SQUARE

      A filled, black square (■)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "square".

    - #### DECIMAL

          public static final ListStyleType DECIMAL

      Numbers (1., 2., 3., etc.)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "decimal".

    - #### UPPER_ROMAN

          public static final ListStyleType UPPER_ROMAN

      Uppercase Roman numerals (I., II., III., IV., etc.)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "upper-roman".

    - #### LOWER_ROMAN

          public static final ListStyleType LOWER_ROMAN

      Lowercase Roman numerals (i., ii., iii., iv., etc.)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lower-roman".

    - #### UPPER_ALPHA

          public static final ListStyleType UPPER_ALPHA

      Uppercase letters (A., B., C., etc.)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "upper-alpha".

    - #### LOWER_ALPHA

          public static final ListStyleType LOWER_ALPHA

      Lowercase letters (a., b., c., etc.)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lower-alpha".

    - #### CUSTOM_IMAGE

          public static final ListStyleType CUSTOM_IMAGE

      An image used in place of a marker.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "custom-image".

  - ### Method Detail

    - #### values

          public static ListStyleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListStyleType c : ListStyleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListStyleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`